Get Wallet By Locator
Retrieves a wallet by its locator (address or user identifier and wallet type)
API scope required: wallets.read
Documentation Index
Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
Use this file to discover all available pages before exploring further.
Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<chainType>[:<walletType>][:alias:<alias>](walletType defaults to 'smart')userId:<userId>:<chainType>[:<walletType>][:alias:<alias>](white label user example)phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]x:<handle>:<chainType>[:<walletType>][:alias:<alias>]me:<chainType>[:<walletType>][:alias:<alias>](Use when calling from the client side with a client API key)chainType[:<walletType>]:alias:<alias>
Response
The record has been successfully retreived.
- EVM wallet output
- Solana wallet output
- Aptos wallet output
- Sui wallet output
- Stellar wallet output
Complete wallet configuration including type-specific settings
The blockchain type of the wallet
evm The wallet type (smart or mpc)
smart, mpc "smart"
The onchain address of the wallet
"0x1234567890123456789012345678901234567890"
EVM wallet type specific configuration settings
The user that owns this wallet in format :
"email:test@example.com"
ISO timestamp of when the wallet was created
"2024-01-01T00:00:00.000Z"
The wallet alias
"my-usdc-wallet"

